#!/usr/bin/env bash

# Deactivates a conda environment.

# force sourcing
if [ "${BASH_SOURCE[0]}" -ef "$0" ]; then
    echo "${BASH_SOURCE[0]} is meant to be sourced by a bash shell."
    echo "  source $0"
    exit 1
fi

# Set CONDA_BASE_ENV_PREFIX to another directory if you don't want to use the default.
: "${CONDA_BASE_ENV_PREFIX:=/opt/conda-analytics}"
if [ ! -e "${CONDA_BASE_ENV_PREFIX}" ]; then
    echo "No base conda env exists at ${CONDA_BASE_ENV_PREFIX}."
    return 1
fi

# CONDA_PREFIX is set by conda activate. If it is not set
# assume no conda environment is active.
if [ -z "${CONDA_PREFIX}" ]; then
    echo "No conda environment is active."
    return 1
fi

source ${CONDA_BASE_ENV_PREFIX}/etc/profile.d/conda.sh
conda deactivate
